% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/data.R
\docType{data}
\name{us_macrodata}
\alias{us_macrodata}
\title{US macroeconomic data}
\format{
A named time-series object with 195 rows and 3 variables:
\describe{
  \item{Dp}{CPI inflation rate.}
  \item{u}{unemployment rate.}
  \item{r}{Fed Funds rate.}
}
}
\usage{
data("us_macrodata")
}
\description{
The data set contains quarterly time series for the US CPI inflation rate, unemployment rate, and
Fed Funds rate from 1959Q2 to 2007Q4. It was produced from file "US_macrodata.csv" of the data sets associated
with Chan, Koop, Poirier and Tobias (2019). Raw data are available at
\url{https://web.ics.purdue.edu/~jltobias/second_edition/Chapter20/code_for_exercise_1/US_macrodata.csv}.
}
\references{
Chan, J., Koop, G., Poirier, D. J., & Tobias J. L. (2019). \emph{Bayesian econometric methods}
(2nd ed.). Cambridge: Cambridge University Press.
}
\keyword{datasets}
